
QGIS Application - Bug report #12441

topological editing broken(?)

2015-03-24 12:57 PM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Digitising

Affected QGIS version:2.8.1 Regression?: No

Operating System: Ubuntu Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20610

Description

Please have a look at the attached screencast.

The very same project (so same data, same snapping options, etc.) is open under both Linux (Ubuntu 14.04) and Windows using QGIS

2.8.1 in both cases.

As you can see topological editing under Linux does not works, while under Windows is ok.

Under Linux is not always broken, sometimes it works others don't, is anyway pretty easy to replicate.

I also attach the sample project/data.

History

#1 - 2015-03-24 01:19 PM - Giovanni Manghi

- File bug_topological_editing_take2.mp4 added

very odd, see also the second attached screencast: if before moving the node that does not respect the topological editing I move another one that works

ok, then moving again the first one is ok... Sometimes it also seems that (working or not) depends just on the scale...  Honestly I'm baffled by this bug, hope

someone can sort it out.

#2 - 2015-03-24 02:03 PM - Jürgen Fischer

- Subject changed from topological editing broke under Linux to topological editing broken under Linux

#3 - 2015-03-25 06:04 AM - Giovanni Manghi

- File deleted (teste_snapping.zip)

#4 - 2015-03-25 06:07 AM - Giovanni Manghi

- File vert15_right.png added

- File vert45_left.png added

- File teste_snapping.zip added

it seems to depend on what vertex is dragged. If is dragged the one of the right polygon than all ok, if the one of the left polygon then not ok... but again this

happen only on linux, not windows.

#5 - 2015-03-25 01:05 PM - Giovanni Manghi
- Subject changed from topological editing broken under Linux to topological editing broken(?)

apparently there is anyway something very wrong also under Windows, this has just been sent to me by a user

https://www.dropbox.com/s/wm6mop1ydudx8uj/capture_Wed_Mar_25_15.30.53.mkv?dl=0

#6 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#7 - 2015-06-02 12:56 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to not reproducable

I cannot replicate it anymore on the latest master.

Files

bug_topological_editing.mp4 3.79 MB 2015-03-24 Giovanni Manghi

bug_topological_editing_take2.mp4 2.7 MB 2015-03-24 Giovanni Manghi

teste_snapping.zip 96.9 KB 2015-03-25 Giovanni Manghi

vert15_right.png 255 KB 2015-03-25 Giovanni Manghi

vert45_left.png 262 KB 2015-03-25 Giovanni Manghi
